For the complete documentation index, see llms.txt. This page is also available as Markdown.

Layout

Layouts

Search Layouts

get

Search for Layouts viewable by this user

Query parameters
layoutIdintegerOptional

Filter by Layout Id

parentIdintegerOptional

Filter by parent Id

showDraftsintegerOptional

Flag indicating whether to show drafts

layoutstringOptional

Filter by partial Layout name

userIdintegerOptional

Filter by user Id

retiredintegerOptional

Filter by retired flag

tagsstringOptional

Filter by Tags

exactTagsintegerOptional

A flag indicating whether to treat the tags filter as an exact match

logicalOperatorstringOptional

When filtering by multiple Tags, which logical operator should be used? AND|OR

ownerUserGroupIdintegerOptional

Filter by users in this UserGroupId

publishedStatusIdintegerOptional

Filter by published status id, 1 - Published, 2 - Draft

embedstringOptional

Embed related data such as regions, playlists, widgets, tags, campaigns, permissions

campaignIdintegerOptional

Get all Layouts for a given campaignId

folderIdintegerOptional

Filter by Folder ID

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json

Class Layout

layoutIdintegerOptional

The layoutId

ownerIdintegerOptional

The userId of the Layout Owner

campaignIdintegerOptional

The id of the Layout's dedicated Campaign

parentIdintegerOptional

The parentId, if this Layout has a draft

publishedStatusIdintegerOptional

The Status Id

publishedStatusstringOptional

The Published Status (Published, Draft or Pending Approval

publishedDatestringOptional

The Published Date

backgroundImageIdintegerOptional

The id of the image media set as the background

schemaVersionintegerOptional

The XLF schema version

layoutstringOptional

The name of the Layout

descriptionstringOptional

The description of the Layout

backgroundColorstringOptional

A HEX string representing the Layout background color

createdDtstringOptional

The datetime the Layout was created

modifiedDtstringOptional

The datetime the Layout was last modified

statusintegerOptional

Flag indicating the Layout status

retiredintegerOptional

Flag indicating whether the Layout is retired

backgroundzIndexintegerOptional

The Layer that the background should occupy

widthnumber · doubleOptional

The Layout Width

heightnumber · doubleOptional

The Layout Height

orientationstringOptional

The Layout Orientation

displayOrderintegerOptional

If this Layout has been requested by Campaign, then this is the display order of the Layout within the Campaign

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

statusMessagestringOptional

A status message detailing any errors with the layout

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

autoApplyTransitionsintegerOptional

Flag indicating whether the default transitions should be applied to this Layout

codestringOptional

Code identifier for this Layout

isLockedbooleanOptional

Is this layout locked by another user?

folderIdintegerOptional

The id of the Folder this Layout belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Layout

get/layout
GET /api/layout HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "layoutId": 1,
    "ownerId": 1,
    "campaignId": 1,
    "parentId": 1,
    "publishedStatusId": 1,
    "publishedStatus": "text",
    "publishedDate": "text",
    "backgroundImageId": 1,
    "schemaVersion": 1,
    "layout": "text",
    "description": "text",
    "backgroundColor": "text",
    "createdDt": "text",
    "modifiedDt": "text",
    "status": 1,
    "retired": 1,
    "backgroundzIndex": 1,
    "width": 1,
    "height": 1,
    "orientation": "text",
    "displayOrder": 1,
    "duration": 1,
    "statusMessage": "text",
    "enableStat": 1,
    "autoApplyTransitions": 1,
    "code": "text",
    "isLocked": true,
    "regions": [
      {
        "regionId": 1,
        "layoutId": 1,
        "ownerId": 1,
        "type": "text",
        "name": "text",
        "width": 1,
        "height": 1,
        "top": 1,
        "left": 1,
        "zIndex": 1,
        "syncKey": "text",
        "regionOptions": [
          {
            "regionId": 1,
            "option": "text",
            "value": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "duration": 1,
        "isDrawer": 1,
        "regionPlaylist": {
          "playlistId": 1,
          "ownerId": 1,
          "name": "text",
          "regionId": 1,
          "isDynamic": 1,
          "filterMediaName": "text",
          "filterMediaNameLogicalOperator": "text",
          "filterMediaTags": "text",
          "filterExactTags": 1,
          "filterMediaTagsLogicalOperator": "text",
          "filterFolderId": 1,
          "maxNumberOfItems": 1,
          "createdDt": "text",
          "modifiedDt": "text",
          "duration": 1,
          "requiresDurationUpdate": 1,
          "enableStat": "text",
          "tags": [
            {
              "tag": "text",
              "tagId": 1,
              "value": "text"
            }
          ],
          "widgets": [
            {
              "widgetId": 1,
              "playlistId": 1,
              "ownerId": 1,
              "type": "text",
              "duration": 1,
              "displayOrder": 1,
              "useDuration": 1,
              "calculatedDuration": 1,
              "createdDt": "text",
              "modifiedDt": "text",
              "fromDt": 1,
              "toDt": 1,
              "schemaVersion": 1,
              "transitionIn": 1,
              "transitionOut": 1,
              "transitionDurationIn": 1,
              "transitionDurationOut": 1,
              "widgetOptions": [
                {
                  "widgetId": 1,
                  "type": "text",
                  "option": "text",
                  "value": "text"
                }
              ],
              "mediaIds": [
                1
              ],
              "audio": [
                {
                  "widgetId": 1,
                  "mediaId": 1,
                  "volume": 1,
                  "loop": 1
                }
              ],
              "permissions": [
                {
                  "permissionId": 1,
                  "entityId": 1,
                  "groupId": 1,
                  "objectId": 1,
                  "isUser": 1,
                  "entity": "text",
                  "objectIdString": "text",
                  "group": "text",
                  "view": 1,
                  "edit": 1,
                  "delete": 1,
                  "modifyPermissions": 1
                }
              ],
              "playlist": "text"
            }
          ],
          "permissions": [
            {
              "permissionId": 1,
              "entityId": 1,
              "groupId": 1,
              "objectId": 1,
              "isUser": 1,
              "entity": "text",
              "objectIdString": "text",
              "group": "text",
              "view": 1,
              "edit": 1,
              "delete": 1,
              "modifyPermissions": 1
            }
          ],
          "folderId": 1,
          "permissionsFolderId": 1
        }
      }
    ],
    "tags": [
      {
        "tag": "text",
        "tagId": 1,
        "value": "text"
      }
    ],
    "folderId": 1,
    "permissionsFolderId": 1
  }
]

Add a Layout

post

Add a new Layout to the CMS

Body
namestringOptional

The layout name

descriptionstringOptional

The layout description

layoutIdintegerOptional

If the Layout should be created with a Template, provide the ID, otherwise don't provide

resolutionIdintegerOptional

If a Template is not provided, provide the resolutionId for this Layout.

returnDraftbooleanOptional

Should we return the Draft Layout or the Published Layout on Success?

codestringOptional

Code identifier for this Layout

folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
201

successful operation

application/json
post/layout
POST /api/layout HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 112

"name='text'&description='text'&layoutId=1&resolutionId=1&returnDraft=true&code='text'&folderId=1"
201

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Clear Layout

post

Clear a draft layouts canvas of all widgets and elements, leaving it blank.

Path parameters
layoutIdintegerRequired

The Layout ID to Clear, must be a draft.

Responses
201

successful operation

application/json
post/layout/{layoutId}
POST /api/layout/{layoutId} HTTP/1.1
Accept: */*
201

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Edit Layout

put

Edit a Layout

Path parameters
layoutIdintegerRequired
Body
namestringRequired

The Layout Name

descriptionstringOptional

The Layout Description

tagsstringOptional

A comma separated list of Tags

retiredintegerOptional

A flag indicating whether this Layout is retired.

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

codestringOptional

Code identifier for this Layout

folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
200

successful operation

application/json

Class Layout

layoutIdintegerOptional

The layoutId

ownerIdintegerOptional

The userId of the Layout Owner

campaignIdintegerOptional

The id of the Layout's dedicated Campaign

parentIdintegerOptional

The parentId, if this Layout has a draft

publishedStatusIdintegerOptional

The Status Id

publishedStatusstringOptional

The Published Status (Published, Draft or Pending Approval

publishedDatestringOptional

The Published Date

backgroundImageIdintegerOptional

The id of the image media set as the background

schemaVersionintegerOptional

The XLF schema version

layoutstringOptional

The name of the Layout

descriptionstringOptional

The description of the Layout

backgroundColorstringOptional

A HEX string representing the Layout background color

createdDtstringOptional

The datetime the Layout was created

modifiedDtstringOptional

The datetime the Layout was last modified

statusintegerOptional

Flag indicating the Layout status

retiredintegerOptional

Flag indicating whether the Layout is retired

backgroundzIndexintegerOptional

The Layer that the background should occupy

widthnumber · doubleOptional

The Layout Width

heightnumber · doubleOptional

The Layout Height

orientationstringOptional

The Layout Orientation

displayOrderintegerOptional

If this Layout has been requested by Campaign, then this is the display order of the Layout within the Campaign

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

statusMessagestringOptional

A status message detailing any errors with the layout

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

autoApplyTransitionsintegerOptional

Flag indicating whether the default transitions should be applied to this Layout

codestringOptional

Code identifier for this Layout

isLockedbooleanOptional

Is this layout locked by another user?

folderIdintegerOptional

The id of the Folder this Layout belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Layout

put/layout/{layoutId}
PUT /api/layout/{layoutId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 104

"name='text'&description='text'&tags='text'&retired=1&enableStat=1&code='text'&folderId=1"
200

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Delete Layout

delete

Delete a Layout

Path parameters
layoutIdintegerRequired
Responses
204

successful operation

No content

delete/layout/{layoutId}
DELETE /api/layout/{layoutId} HTTP/1.1
Accept: */*
204

successful operation

No content

Edit Layout Background

put

Edit a Layout Background

Path parameters
layoutIdintegerRequired
Body
backgroundColorstringRequired

A HEX color to use as the background color of this Layout.

backgroundImageIdintegerOptional

A media ID to use as the background image for this Layout.

backgroundzIndexintegerRequired

The Layer Number to use for the background.

resolutionIdintegerOptional

The Resolution ID to use on this Layout.

Responses
200

successful operation

application/json

Class Layout

layoutIdintegerOptional

The layoutId

ownerIdintegerOptional

The userId of the Layout Owner

campaignIdintegerOptional

The id of the Layout's dedicated Campaign

parentIdintegerOptional

The parentId, if this Layout has a draft

publishedStatusIdintegerOptional

The Status Id

publishedStatusstringOptional

The Published Status (Published, Draft or Pending Approval

publishedDatestringOptional

The Published Date

backgroundImageIdintegerOptional

The id of the image media set as the background

schemaVersionintegerOptional

The XLF schema version

layoutstringOptional

The name of the Layout

descriptionstringOptional

The description of the Layout

backgroundColorstringOptional

A HEX string representing the Layout background color

createdDtstringOptional

The datetime the Layout was created

modifiedDtstringOptional

The datetime the Layout was last modified

statusintegerOptional

Flag indicating the Layout status

retiredintegerOptional

Flag indicating whether the Layout is retired

backgroundzIndexintegerOptional

The Layer that the background should occupy

widthnumber · doubleOptional

The Layout Width

heightnumber · doubleOptional

The Layout Height

orientationstringOptional

The Layout Orientation

displayOrderintegerOptional

If this Layout has been requested by Campaign, then this is the display order of the Layout within the Campaign

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

statusMessagestringOptional

A status message detailing any errors with the layout

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

autoApplyTransitionsintegerOptional

Flag indicating whether the default transitions should be applied to this Layout

codestringOptional

Code identifier for this Layout

isLockedbooleanOptional

Is this layout locked by another user?

folderIdintegerOptional

The id of the Folder this Layout belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Layout

put/layout/background/{layoutId}
PUT /api/layout/background/{layoutId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 86

"backgroundColor='text'&backgroundImageId=1&backgroundzIndex=1&resolutionId=1"
200

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Apply Template

put

Apply a new Template to an existing Layout, replacing it.

Path parameters
layoutIdintegerRequired
Body
templateIdintegerOptional

If the Layout should be created with a Template, provide the ID, otherwise don't provide

Responses
204

successful operation

No content

put/layout/applyTemplate/{layoutId}
PUT /api/layout/applyTemplate/{layoutId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 16

"templateId=1"
204

successful operation

No content

Retire Layout

put

Retire a Layout so that it isn't available to Schedule. Existing Layouts will still be played

Path parameters
layoutIdintegerRequired
Responses
204

successful operation

No content

put/layout/retire/{layoutId}
PUT /api/layout/retire/{layoutId} HTTP/1.1
Accept: */*
204

successful operation

No content

Unretire Layout

put

Retire a Layout so that it isn't available to Schedule. Existing Layouts will still be played

Path parameters
layoutIdintegerRequired
Responses
204

successful operation

No content

put/layout/unretire/{layoutId}
PUT /api/layout/unretire/{layoutId} HTTP/1.1
Accept: */*
204

successful operation

No content

Enable Stats Collection

put

Set Enable Stats Collection? to use for the collection of Proof of Play statistics for a Layout.

Path parameters
layoutIdintegerRequired
Body
enableStatintegerRequired

Flag indicating whether the Layout stat is enabled

Responses
204

successful operation

No content

put/layout/setenablestat/{layoutId}
PUT /api/layout/setenablestat/{layoutId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 16

"enableStat=1"
204

successful operation

No content

Copy Layout

post

Copy a Layout, providing a new name if applicable

Path parameters
layoutIdintegerRequired

The Layout ID to Copy

Body
namestringRequired

The name for the new Layout

descriptionstringOptional

The Description for the new Layout

copyMediaFilesintegerRequired

Flag indicating whether to make new Copies of all Media Files assigned to the Layout being Copied

Responses
201

successful operation

application/json
post/layout/copy/{layoutId}
POST /api/layout/copy/{layoutId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 55

"name='text'&description='text'&copyMediaFiles=1"
201

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Tag Layout

post

Tag a Layout with one or more tags

Path parameters
layoutIdintegerRequired

The Layout Id to Tag

Body
tagstring[]Required

An array of tags

Responses
200

successful operation

application/json

Class Layout

layoutIdintegerOptional

The layoutId

ownerIdintegerOptional

The userId of the Layout Owner

campaignIdintegerOptional

The id of the Layout's dedicated Campaign

parentIdintegerOptional

The parentId, if this Layout has a draft

publishedStatusIdintegerOptional

The Status Id

publishedStatusstringOptional

The Published Status (Published, Draft or Pending Approval

publishedDatestringOptional

The Published Date

backgroundImageIdintegerOptional

The id of the image media set as the background

schemaVersionintegerOptional

The XLF schema version

layoutstringOptional

The name of the Layout

descriptionstringOptional

The description of the Layout

backgroundColorstringOptional

A HEX string representing the Layout background color

createdDtstringOptional

The datetime the Layout was created

modifiedDtstringOptional

The datetime the Layout was last modified

statusintegerOptional

Flag indicating the Layout status

retiredintegerOptional

Flag indicating whether the Layout is retired

backgroundzIndexintegerOptional

The Layer that the background should occupy

widthnumber · doubleOptional

The Layout Width

heightnumber · doubleOptional

The Layout Height

orientationstringOptional

The Layout Orientation

displayOrderintegerOptional

If this Layout has been requested by Campaign, then this is the display order of the Layout within the Campaign

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

statusMessagestringOptional

A status message detailing any errors with the layout

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

autoApplyTransitionsintegerOptional

Flag indicating whether the default transitions should be applied to this Layout

codestringOptional

Code identifier for this Layout

isLockedbooleanOptional

Is this layout locked by another user?

folderIdintegerOptional

The id of the Folder this Layout belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Layout

post/layout/{layoutId}/tag
POST /api/layout/{layoutId}/tag HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 16

"tag=['text']"
200

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Untag Layout

post

Untag a Layout with one or more tags

Path parameters
layoutIdintegerRequired

The Layout Id to Untag

Body
tagstring[]Required

An array of tags

Responses
200

successful operation

application/json

Class Layout

layoutIdintegerOptional

The layoutId

ownerIdintegerOptional

The userId of the Layout Owner

campaignIdintegerOptional

The id of the Layout's dedicated Campaign

parentIdintegerOptional

The parentId, if this Layout has a draft

publishedStatusIdintegerOptional

The Status Id

publishedStatusstringOptional

The Published Status (Published, Draft or Pending Approval

publishedDatestringOptional

The Published Date

backgroundImageIdintegerOptional

The id of the image media set as the background

schemaVersionintegerOptional

The XLF schema version

layoutstringOptional

The name of the Layout

descriptionstringOptional

The description of the Layout

backgroundColorstringOptional

A HEX string representing the Layout background color

createdDtstringOptional

The datetime the Layout was created

modifiedDtstringOptional

The datetime the Layout was last modified

statusintegerOptional

Flag indicating the Layout status

retiredintegerOptional

Flag indicating whether the Layout is retired

backgroundzIndexintegerOptional

The Layer that the background should occupy

widthnumber · doubleOptional

The Layout Width

heightnumber · doubleOptional

The Layout Height

orientationstringOptional

The Layout Orientation

displayOrderintegerOptional

If this Layout has been requested by Campaign, then this is the display order of the Layout within the Campaign

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

statusMessagestringOptional

A status message detailing any errors with the layout

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

autoApplyTransitionsintegerOptional

Flag indicating whether the default transitions should be applied to this Layout

codestringOptional

Code identifier for this Layout

isLockedbooleanOptional

Is this layout locked by another user?

folderIdintegerOptional

The id of the Folder this Layout belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Layout

post/layout/{layoutId}/untag
POST /api/layout/{layoutId}/untag HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 16

"tag=['text']"
200

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Layout Status

get

Calculate the Layout status and return a Layout

Path parameters
layoutIdintegerRequired

The Layout Id to get the status

Responses
200

successful operation

application/json

Class Layout

layoutIdintegerOptional

The layoutId

ownerIdintegerOptional

The userId of the Layout Owner

campaignIdintegerOptional

The id of the Layout's dedicated Campaign

parentIdintegerOptional

The parentId, if this Layout has a draft

publishedStatusIdintegerOptional

The Status Id

publishedStatusstringOptional

The Published Status (Published, Draft or Pending Approval

publishedDatestringOptional

The Published Date

backgroundImageIdintegerOptional

The id of the image media set as the background

schemaVersionintegerOptional

The XLF schema version

layoutstringOptional

The name of the Layout

descriptionstringOptional

The description of the Layout

backgroundColorstringOptional

A HEX string representing the Layout background color

createdDtstringOptional

The datetime the Layout was created

modifiedDtstringOptional

The datetime the Layout was last modified

statusintegerOptional

Flag indicating the Layout status

retiredintegerOptional

Flag indicating whether the Layout is retired

backgroundzIndexintegerOptional

The Layer that the background should occupy

widthnumber · doubleOptional

The Layout Width

heightnumber · doubleOptional

The Layout Height

orientationstringOptional

The Layout Orientation

displayOrderintegerOptional

If this Layout has been requested by Campaign, then this is the display order of the Layout within the Campaign

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

statusMessagestringOptional

A status message detailing any errors with the layout

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

autoApplyTransitionsintegerOptional

Flag indicating whether the default transitions should be applied to this Layout

codestringOptional

Code identifier for this Layout

isLockedbooleanOptional

Is this layout locked by another user?

folderIdintegerOptional

The id of the Folder this Layout belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Layout

get/layout/status/{layoutId}
GET /api/layout/status/{layoutId} HTTP/1.1
Accept: */*
200

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Checkout Layout

put

Checkout a Layout so that it can be edited. The original Layout will still be played

Path parameters
layoutIdintegerRequired

The Layout ID

Responses
200

successful operation

application/json

Class Layout

layoutIdintegerOptional

The layoutId

ownerIdintegerOptional

The userId of the Layout Owner

campaignIdintegerOptional

The id of the Layout's dedicated Campaign

parentIdintegerOptional

The parentId, if this Layout has a draft

publishedStatusIdintegerOptional

The Status Id

publishedStatusstringOptional

The Published Status (Published, Draft or Pending Approval

publishedDatestringOptional

The Published Date

backgroundImageIdintegerOptional

The id of the image media set as the background

schemaVersionintegerOptional

The XLF schema version

layoutstringOptional

The name of the Layout

descriptionstringOptional

The description of the Layout

backgroundColorstringOptional

A HEX string representing the Layout background color

createdDtstringOptional

The datetime the Layout was created

modifiedDtstringOptional

The datetime the Layout was last modified

statusintegerOptional

Flag indicating the Layout status

retiredintegerOptional

Flag indicating whether the Layout is retired

backgroundzIndexintegerOptional

The Layer that the background should occupy

widthnumber · doubleOptional

The Layout Width

heightnumber · doubleOptional

The Layout Height

orientationstringOptional

The Layout Orientation

displayOrderintegerOptional

If this Layout has been requested by Campaign, then this is the display order of the Layout within the Campaign

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

statusMessagestringOptional

A status message detailing any errors with the layout

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

autoApplyTransitionsintegerOptional

Flag indicating whether the default transitions should be applied to this Layout

codestringOptional

Code identifier for this Layout

isLockedbooleanOptional

Is this layout locked by another user?

folderIdintegerOptional

The id of the Folder this Layout belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Layout

put/layout/checkout/{layoutId}
PUT /api/layout/checkout/{layoutId} HTTP/1.1
Accept: */*
200

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Publish Layout

put

Publish a Layout, discarding the original

Path parameters
layoutIdintegerRequired

The Layout ID

Body
publishNowintegerOptional

Flag, indicating whether to publish layout now

publishDatestringOptional

The date/time at which layout should be published

Responses
200

successful operation

application/json

Class Layout

layoutIdintegerOptional

The layoutId

ownerIdintegerOptional

The userId of the Layout Owner

campaignIdintegerOptional

The id of the Layout's dedicated Campaign

parentIdintegerOptional

The parentId, if this Layout has a draft

publishedStatusIdintegerOptional

The Status Id

publishedStatusstringOptional

The Published Status (Published, Draft or Pending Approval

publishedDatestringOptional

The Published Date

backgroundImageIdintegerOptional

The id of the image media set as the background

schemaVersionintegerOptional

The XLF schema version

layoutstringOptional

The name of the Layout

descriptionstringOptional

The description of the Layout

backgroundColorstringOptional

A HEX string representing the Layout background color

createdDtstringOptional

The datetime the Layout was created

modifiedDtstringOptional

The datetime the Layout was last modified

statusintegerOptional

Flag indicating the Layout status

retiredintegerOptional

Flag indicating whether the Layout is retired

backgroundzIndexintegerOptional

The Layer that the background should occupy

widthnumber · doubleOptional

The Layout Width

heightnumber · doubleOptional

The Layout Height

orientationstringOptional

The Layout Orientation

displayOrderintegerOptional

If this Layout has been requested by Campaign, then this is the display order of the Layout within the Campaign

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

statusMessagestringOptional

A status message detailing any errors with the layout

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

autoApplyTransitionsintegerOptional

Flag indicating whether the default transitions should be applied to this Layout

codestringOptional

Code identifier for this Layout

isLockedbooleanOptional

Is this layout locked by another user?

folderIdintegerOptional

The id of the Folder this Layout belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Layout

put/layout/publish/{layoutId}
PUT /api/layout/publish/{layoutId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 37

"publishNow=1&publishDate='text'"
200

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Discard Layout

put

Discard a Layout restoring the original

Path parameters
layoutIdintegerRequired

The Layout ID

Responses
200

successful operation

application/json

Class Layout

layoutIdintegerOptional

The layoutId

ownerIdintegerOptional

The userId of the Layout Owner

campaignIdintegerOptional

The id of the Layout's dedicated Campaign

parentIdintegerOptional

The parentId, if this Layout has a draft

publishedStatusIdintegerOptional

The Status Id

publishedStatusstringOptional

The Published Status (Published, Draft or Pending Approval

publishedDatestringOptional

The Published Date

backgroundImageIdintegerOptional

The id of the image media set as the background

schemaVersionintegerOptional

The XLF schema version

layoutstringOptional

The name of the Layout

descriptionstringOptional

The description of the Layout

backgroundColorstringOptional

A HEX string representing the Layout background color

createdDtstringOptional

The datetime the Layout was created

modifiedDtstringOptional

The datetime the Layout was last modified

statusintegerOptional

Flag indicating the Layout status

retiredintegerOptional

Flag indicating whether the Layout is retired

backgroundzIndexintegerOptional

The Layer that the background should occupy

widthnumber · doubleOptional

The Layout Width

heightnumber · doubleOptional

The Layout Height

orientationstringOptional

The Layout Orientation

displayOrderintegerOptional

If this Layout has been requested by Campaign, then this is the display order of the Layout within the Campaign

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

statusMessagestringOptional

A status message detailing any errors with the layout

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

autoApplyTransitionsintegerOptional

Flag indicating whether the default transitions should be applied to this Layout

codestringOptional

Code identifier for this Layout

isLockedbooleanOptional

Is this layout locked by another user?

folderIdintegerOptional

The id of the Folder this Layout belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Layout

put/layout/discard/{layoutId}
PUT /api/layout/discard/{layoutId} HTTP/1.1
Accept: */*
200

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Add a Full Screen Layout

post

Add a new full screen Layout with specified Media/Playlist

Body
idintegerRequired

The Media or Playlist ID that should be added to this Layout

typestringRequired

The type of Layout to be created = media or playlist

resolutionIdintegerOptional

The Id of the resolution for this Layout, defaults to 1080p for playlist and closest resolution match for Media

backgroundColorstringOptional

A HEX color to use as the background color of this Layout. Default is black #000

layoutDurationbooleanOptional

Use with media type, to specify the duration this Media should play in one loop

Responses
201

successful operation

application/json
post/layout/fullscreen
POST /api/layout/fullscreen HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 86

"id=1&type='text'&resolutionId=1&backgroundColor='text'&layoutDuration=true"
201

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Add Region

post

Add a Region to a Layout

Path parameters
idintegerRequired

The Layout ID to add the Region to

Body
typestringOptional

The type of region this should be, zone, frame, playlist or canvas. Default = frame.

widthintegerOptional

The Width, default 250

heightintegerOptional

The Height

topintegerOptional

The Top Coordinate

leftintegerOptional

The Left Coordinate

Responses
201

successful operation

application/json
post/region/{id}
POST /api/region/{id} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 53

"type='text'&width=1&height=1&top=1&left=1"
201

successful operation

{
  "regionId": 1,
  "layoutId": 1,
  "ownerId": 1,
  "type": "text",
  "name": "text",
  "width": 1,
  "height": 1,
  "top": 1,
  "left": 1,
  "zIndex": 1,
  "syncKey": "text",
  "regionOptions": [
    {
      "regionId": 1,
      "option": "text",
      "value": "text"
    }
  ],
  "permissions": [
    {
      "permissionId": 1,
      "entityId": 1,
      "groupId": 1,
      "objectId": 1,
      "isUser": 1,
      "entity": "text",
      "objectIdString": "text",
      "group": "text",
      "view": 1,
      "edit": 1,
      "delete": 1,
      "modifyPermissions": 1
    }
  ],
  "duration": 1,
  "isDrawer": 1,
  "regionPlaylist": {
    "playlistId": 1,
    "ownerId": 1,
    "name": "text",
    "regionId": 1,
    "isDynamic": 1,
    "filterMediaName": "text",
    "filterMediaNameLogicalOperator": "text",
    "filterMediaTags": "text",
    "filterExactTags": 1,
    "filterMediaTagsLogicalOperator": "text",
    "filterFolderId": 1,
    "maxNumberOfItems": 1,
    "createdDt": "text",
    "modifiedDt": "text",
    "duration": 1,
    "requiresDurationUpdate": 1,
    "enableStat": "text",
    "tags": [
      {
        "tag": "text",
        "tagId": 1,
        "value": "text"
      }
    ],
    "widgets": [
      {
        "widgetId": 1,
        "playlistId": 1,
        "ownerId": 1,
        "type": "text",
        "duration": 1,
        "displayOrder": 1,
        "useDuration": 1,
        "calculatedDuration": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "fromDt": 1,
        "toDt": 1,
        "schemaVersion": 1,
        "transitionIn": 1,
        "transitionOut": 1,
        "transitionDurationIn": 1,
        "transitionDurationOut": 1,
        "widgetOptions": [
          {
            "widgetId": 1,
            "type": "text",
            "option": "text",
            "value": "text"
          }
        ],
        "mediaIds": [
          1
        ],
        "audio": [
          {
            "widgetId": 1,
            "mediaId": 1,
            "volume": 1,
            "loop": 1
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "playlist": "text"
      }
    ],
    "permissions": [
      {
        "permissionId": 1,
        "entityId": 1,
        "groupId": 1,
        "objectId": 1,
        "isUser": 1,
        "entity": "text",
        "objectIdString": "text",
        "group": "text",
        "view": 1,
        "edit": 1,
        "delete": 1,
        "modifyPermissions": 1
      }
    ],
    "folderId": 1,
    "permissionsFolderId": 1
  }
}

Edit Region

put

Edit Region

Path parameters
idintegerRequired

The Region ID to Edit

Body
widthintegerOptional

The Width, default 250

heightintegerOptional

The Height

topintegerOptional

The Top Coordinate

leftintegerOptional

The Left Coordinate

zIndexintegerOptional

The Layer for this Region

transitionTypestringOptional

The Transition Type. Must be a valid transition code as returned by /transition

transitionDurationintegerOptional

The transition duration in milliseconds if required by the transition type

transitionDirectionstringOptional

The transition direction if required by the transition type.

loopintegerRequired

Flag indicating whether this region should loop if there is only 1 media item in the timeline

Responses
200

successful operation

application/json

Class Region

regionIdintegerOptional

The ID of this region

layoutIdintegerOptional

The Layout ID this region belongs to

ownerIdintegerOptional

The userId of the User that owns this Region

typestringOptional

Region Type, zone, playlist, frame or canvas

namestringOptional

The name of this Region

widthnumber · doubleOptional

Width of the region

heightnumber · doubleOptional

Height of the Region

topnumber · doubleOptional

The top coordinate of the Region

leftnumber · doubleOptional

The left coordinate of the Region

zIndexintegerOptional

The z-index of the Region to control Layering

syncKeystringOptional

The syncKey of this Region

durationintegerOptional

A read-only estimate of this Regions's total duration in seconds. This is valid when the parent layout status is 1 or 2.

isDrawerintegerOptional

Flag, whether this region is used as an interactive drawer attached to a layout.

put/region/{id}
PUT /api/region/{id} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 135

"width=1&height=1&top=1&left=1&zIndex=1&transitionType='text'&transitionDuration=1&transitionDirection='text'&loop=1"
200

successful operation

{
  "regionId": 1,
  "layoutId": 1,
  "ownerId": 1,
  "type": "text",
  "name": "text",
  "width": 1,
  "height": 1,
  "top": 1,
  "left": 1,
  "zIndex": 1,
  "syncKey": "text",
  "regionOptions": [
    {
      "regionId": 1,
      "option": "text",
      "value": "text"
    }
  ],
  "permissions": [
    {
      "permissionId": 1,
      "entityId": 1,
      "groupId": 1,
      "objectId": 1,
      "isUser": 1,
      "entity": "text",
      "objectIdString": "text",
      "group": "text",
      "view": 1,
      "edit": 1,
      "delete": 1,
      "modifyPermissions": 1
    }
  ],
  "duration": 1,
  "isDrawer": 1,
  "regionPlaylist": {
    "playlistId": 1,
    "ownerId": 1,
    "name": "text",
    "regionId": 1,
    "isDynamic": 1,
    "filterMediaName": "text",
    "filterMediaNameLogicalOperator": "text",
    "filterMediaTags": "text",
    "filterExactTags": 1,
    "filterMediaTagsLogicalOperator": "text",
    "filterFolderId": 1,
    "maxNumberOfItems": 1,
    "createdDt": "text",
    "modifiedDt": "text",
    "duration": 1,
    "requiresDurationUpdate": 1,
    "enableStat": "text",
    "tags": [
      {
        "tag": "text",
        "tagId": 1,
        "value": "text"
      }
    ],
    "widgets": [
      {
        "widgetId": 1,
        "playlistId": 1,
        "ownerId": 1,
        "type": "text",
        "duration": 1,
        "displayOrder": 1,
        "useDuration": 1,
        "calculatedDuration": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "fromDt": 1,
        "toDt": 1,
        "schemaVersion": 1,
        "transitionIn": 1,
        "transitionOut": 1,
        "transitionDurationIn": 1,
        "transitionDurationOut": 1,
        "widgetOptions": [
          {
            "widgetId": 1,
            "type": "text",
            "option": "text",
            "value": "text"
          }
        ],
        "mediaIds": [
          1
        ],
        "audio": [
          {
            "widgetId": 1,
            "mediaId": 1,
            "volume": 1,
            "loop": 1
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "playlist": "text"
      }
    ],
    "permissions": [
      {
        "permissionId": 1,
        "entityId": 1,
        "groupId": 1,
        "objectId": 1,
        "isUser": 1,
        "entity": "text",
        "objectIdString": "text",
        "group": "text",
        "view": 1,
        "edit": 1,
        "delete": 1,
        "modifyPermissions": 1
      }
    ],
    "folderId": 1,
    "permissionsFolderId": 1
  }
}

Region Delete

delete

Delete an existing region

Path parameters
regionIdintegerRequired

The Region ID to Delete

Responses
204

successful operation

No content

delete/region/{regionId}
DELETE /api/region/{regionId} HTTP/1.1
Accept: */*
204

successful operation

No content

Position Regions

put

Position all regions for a Layout

Path parameters
layoutIdintegerRequired

The Layout ID

Body
regionsstring[]Required

Array of regions and their new positions. Each array element should be json encoded and have regionId, top, left, width and height.

Responses
200

successful operation

application/json

Class Layout

layoutIdintegerOptional

The layoutId

ownerIdintegerOptional

The userId of the Layout Owner

campaignIdintegerOptional

The id of the Layout's dedicated Campaign

parentIdintegerOptional

The parentId, if this Layout has a draft

publishedStatusIdintegerOptional

The Status Id

publishedStatusstringOptional

The Published Status (Published, Draft or Pending Approval

publishedDatestringOptional

The Published Date

backgroundImageIdintegerOptional

The id of the image media set as the background

schemaVersionintegerOptional

The XLF schema version

layoutstringOptional

The name of the Layout

descriptionstringOptional

The description of the Layout

backgroundColorstringOptional

A HEX string representing the Layout background color

createdDtstringOptional

The datetime the Layout was created

modifiedDtstringOptional

The datetime the Layout was last modified

statusintegerOptional

Flag indicating the Layout status

retiredintegerOptional

Flag indicating whether the Layout is retired

backgroundzIndexintegerOptional

The Layer that the background should occupy

widthnumber · doubleOptional

The Layout Width

heightnumber · doubleOptional

The Layout Height

orientationstringOptional

The Layout Orientation

displayOrderintegerOptional

If this Layout has been requested by Campaign, then this is the display order of the Layout within the Campaign

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

statusMessagestringOptional

A status message detailing any errors with the layout

enableStatintegerOptional

Flag indicating whether the Layout stat is enabled

autoApplyTransitionsintegerOptional

Flag indicating whether the default transitions should be applied to this Layout

codestringOptional

Code identifier for this Layout

isLockedbooleanOptional

Is this layout locked by another user?

folderIdintegerOptional

The id of the Folder this Layout belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Layout

put/region/position/all/{layoutId}
PUT /api/region/position/all/{layoutId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 20

"regions=['text']"
200

successful operation

{
  "layoutId": 1,
  "ownerId": 1,
  "campaignId": 1,
  "parentId": 1,
  "publishedStatusId": 1,
  "publishedStatus": "text",
  "publishedDate": "text",
  "backgroundImageId": 1,
  "schemaVersion": 1,
  "layout": "text",
  "description": "text",
  "backgroundColor": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "status": 1,
  "retired": 1,
  "backgroundzIndex": 1,
  "width": 1,
  "height": 1,
  "orientation": "text",
  "displayOrder": 1,
  "duration": 1,
  "statusMessage": "text",
  "enableStat": 1,
  "autoApplyTransitions": 1,
  "code": "text",
  "isLocked": true,
  "regions": [
    {
      "regionId": 1,
      "layoutId": 1,
      "ownerId": 1,
      "type": "text",
      "name": "text",
      "width": 1,
      "height": 1,
      "top": 1,
      "left": 1,
      "zIndex": 1,
      "syncKey": "text",
      "regionOptions": [
        {
          "regionId": 1,
          "option": "text",
          "value": "text"
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "duration": 1,
      "isDrawer": 1,
      "regionPlaylist": {
        "playlistId": 1,
        "ownerId": 1,
        "name": "text",
        "regionId": 1,
        "isDynamic": 1,
        "filterMediaName": "text",
        "filterMediaNameLogicalOperator": "text",
        "filterMediaTags": "text",
        "filterExactTags": 1,
        "filterMediaTagsLogicalOperator": "text",
        "filterFolderId": 1,
        "maxNumberOfItems": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "duration": 1,
        "requiresDurationUpdate": 1,
        "enableStat": "text",
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "widgets": [
          {
            "widgetId": 1,
            "playlistId": 1,
            "ownerId": 1,
            "type": "text",
            "duration": 1,
            "displayOrder": 1,
            "useDuration": 1,
            "calculatedDuration": 1,
            "createdDt": "text",
            "modifiedDt": "text",
            "fromDt": 1,
            "toDt": 1,
            "schemaVersion": 1,
            "transitionIn": 1,
            "transitionOut": 1,
            "transitionDurationIn": 1,
            "transitionDurationOut": 1,
            "widgetOptions": [
              {
                "widgetId": 1,
                "type": "text",
                "option": "text",
                "value": "text"
              }
            ],
            "mediaIds": [
              1
            ],
            "audio": [
              {
                "widgetId": 1,
                "mediaId": 1,
                "volume": 1,
                "loop": 1
              }
            ],
            "permissions": [
              {
                "permissionId": 1,
                "entityId": 1,
                "groupId": 1,
                "objectId": 1,
                "isUser": 1,
                "entity": "text",
                "objectIdString": "text",
                "group": "text",
                "view": 1,
                "edit": 1,
                "delete": 1,
                "modifyPermissions": 1
              }
            ],
            "playlist": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "folderId": 1,
        "permissionsFolderId": 1
      }
    }
  ],
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Add drawer Region

post

Add a drawer Region to a Layout

Path parameters
idintegerRequired

The Layout ID to add the Region to

Responses
201

successful operation

application/json
post/region/drawer/{id}
[...]
